Status: Resolved Priority: Should have
Author: Frans Saris Category: Backend User Interface
Created: 2014-04-08 Assigned To: Frans Saris
Updated: 2014-04-16 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Default generated categories TCA misses maxLevels configuration
Description

The default generated TCA configuration by the CategoryRegistry does not set maxLevels value.

Because this is not set only 4 levels are shown but should be set to at least 99.

Same for the parent field of sys_category itself.

Related issues:
related to Core - Task # 57881: Make category TCA changes cacheable Resolved 2014-04-13

Associated revisions
Revision 5fb98854 - 2014-04-16 19:32 - Frans Saris

[BUGFIX] Set maxLevels of generated sys_category TCA

The maxLevels in the TCA tree configuration is not set
by the CategoryRegistry. As a result only 4 levels are
shown.

This patch sets the maxLevels to 99 and also updates the
appearance settings of the sys_category:parent field
so these are inline with the other category tree fields.

Resolves: #57750
Releases: 6.2
Change-Id: I7c33b71d2af214cf1b2027e4769c1cc43a3c43d6
Reviewed-on: https://review.typo3.org/29297
Reviewed-by: Alexander Opitz
Reviewed-by: Francois Suter
Tested-by: Francois Suter
Reviewed-by: Stefan Neufeind
Reviewed-by: Fabien Udriot
Tested-by: Fabien Udriot
Reviewed-by: Frans Saris
Tested-by: Frans Saris

History
#1 - 2014-04-08 15:21 - Gerrit Code Review
https://review.typo3.org/29297


- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29297

#2 - 2014-04-08 15:25 - Frans Saris

The TCA settings done by the CategoryRegistry can not overruled easily as these are added after all TCA files (from TCA folders and ext_tables.php
files) are loaded.

So when you want to override these settings you have to remove the table from
"$GLOBALS['TYPO3_CONF_VARS']['SYS']['defaultCategorizedTables']" and add it your self again.

#3 - 2014-04-15 18:44 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29297

#4 - 2014-04-15 19:43 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29297

#5 - 2014-04-16 20:30 - Frans Saris
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5fb98854f54dbdf0dadabba3d3db49caaa4161c5.
